<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:lang="en" xml:id="modbus_newRtu">
  <refnamediv>
    <refname>modbus_newRtu</refname>

    <refpurpose>create a Modbus RTU connection</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>modbus_newRtu(device, baud, parity, data_bits, stop_bits)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Arguments</title>
    <variablelist>
      <varlistentry>
        <term>device</term>
        <listitem>
          <para>a string containing the name of the serial port handled by the OS.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>baud</term>
        <listitem>
          <para>the baud rate of the communication, eg. 9600, 19200, 57600, etc.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>parity</term>
        <listitem>
          <para>a string for the parity. Should be 'N' for none, 'E' for even, 'O' for odd.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>data_bits</term>
        <listitem>
          <para>The data_bits argument specifies the number of bits of data, the allowed values are 5, 6, 7 and 8.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>stop_bits</term>
        <listitem>
          <para>The stop_bits argument specifies the bits of stop, the allowed values are 1 and 2.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>This function will allocate and initialize a Modbus structure to communicate
    in RTU mode on a serial line.</para>

  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"><![CDATA[
    // Linux example
    mbc = modbus_newRtu("/dev/ttyS0", 115200, 'N', 8, 1);
    modbus_close(mbc)
    ]]></programlisting>

    <programlisting role="example"><![CDATA[
    // Windows example
    mbc = modbus_newRtu("COM1", 115200, 'N', 8, 1);
    modbus_close(mbc)
    ]]></programlisting>
  </refsection>
  <refsection role="see also">
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="modbus_close">modbus_close</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
